#### D.2.3.4 absValue

Procedure from library `general.lib` (see general_lib).

Usage:
  absValue(c); c int, number or poly

Return:
  absValue(c); the absolute value of c

Note:
  absValue(c)=c if c>=0; absValue=-c if c<=0.
  So the function can be applied to any type, for which comparison
  operators are defined.

Example:

    LIB "general.lib";
    ring r1 = 0,x,dp;
    absValue(-2002);
    ==> 2002
    poly f=-4;
    absValue(f);
    ==> 4

User manual for Singular version 4.4.1, 2025, generated by texi2html.